#include<iostream>
#include<cmath>
using namespace std;

int T;
int L, R, S;

int main(){
	cin.tie(0) -> ios::sync_with_stdio(0);
	cin >> T;
	while(T --){
		cin >> L >> R >> S;
		int ans = 1;
		if(S <= L && L <= R){
			ans += ((L - S) * 2 - 1);
		}
		else if(L <= S && S <= R){
			if(R - S <= S - L){
				ans += ((R - S) * 2 - 1);
			}
			else ans += (S - L) * 2;
		}
		else{
			ans += (S - L) * 2;
		}
		cout << ans << '\n';
	}
	return 0;
}

